Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.labkey.remoteapi.security
Class AddGroupMembersCommand

    java.lang.Object
      org.labkey.remoteapi.Command<ResponseType>
          org.labkey.remoteapi.PostCommand<CommandResponse>
              org.labkey.remoteapi.security.GroupMembersCommand
                  org.labkey.remoteapi.security.AddGroupMembersCommand

    public class AddGroupMembersCommand

extends GroupMembersCommand

Adds a set of principals to a security group. This command has no meaningful response--if it executed without exception, the changes were applied.

Nested Class Summary

Nested classes/interfaces inherited from class org.labkey.remoteapi.Command
`Command.CommonParameters`

Field Summary

Fields inherited from class org.labkey.remoteapi.Command
`CONTENT_TYPE_JSON`

Constructor Summary
`AddGroupMembersCommand(int groupId)`

Method Summary

Methods inherited from class org.labkey.remoteapi.security.GroupMembersCommand
`addPrincipalId, addPrincipalId, clearPrincipalIds, getGroupId, getJsonObject, getPrincipals, setGroupId`

Methods inherited from class org.labkey.remoteapi.PostCommand
`copy, createMethod, setJsonObject`

Methods inherited from class org.labkey.remoteapi.Command
`createResponse, execute, getActionName, getActionUrl, getControllerName, getHttpMethod, getParameters, getParamValueAsString, getQueryString, getRequiredVersion, getTimeout, setParameters, setRequiredVersion, setTimeout`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddGroupMembersCommand

    public AddGroupMembersCommand(int groupId)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD